#!/usr/bin/env raku
use v6.d;

use lib '.';
use lib './lib';

use Text::CodeProcessing;

my $mytext0 = q:to/END/;
=begin para
We create an array with the numbers 1 through 10. And we put the even numbers in another array, which we can do this with the C<grep> method. The C<grep> method takes a piece of code as the argument: this will then be repeatedly called with a value to determine whether or not that value should be included.
=end para
=begin code :lang<raku>
sub is-even($number) {    # returns True if given number is even
    return $number %% 2;  # %% is the "evenly divisible" operator
}
my @whole = 1..10;                 # fill up the array
my @even = @whole.grep(&is-even);  # fill array with even numbers
say @even;  # [2 4 6 8 10];        # show the result
=end code
END

my $mytext1 = q:to/END/;
-----

## The umbrella DSL functionality

We use the CLI script `dsl-translation` to invoke:

```shell, results=asis
from-markdown -to=pod6 'Here is data wrangling code:

    obj = dfTitanic;
    obj = GroupBy[ obj, #["passengerSex"]& ];
    Echo[Map[ Length, obj], "counts:"]

## References'
```
END

say StringCodeChunksEvaluation($mytext1, 'markdown');

#say FileCodeChunksEvaluation('/Users/antonov/GitHub/lizmat/articles/dont-fear-the-grepper-all_woven.POD6');

#say FileCodeChunksEvaluation('/Volumes/Macintosh HD/Users/antonov/Raku-Text-CodeProcessing/resources/BookIntroduction.md');
